Goo::Canvas::EllipseModel(3)

NAME
Goo::Canvas::EllipseModel - wrapper for GooCanvasEllipseModel

HIERARCHY
  Glib::Object
  +----Goo::Canvas::ItemModelSimple
       +----Goo::Canvas::EllipseModel

INTERFACES
  Goo::Canvas::ItemModel

METHODS

  itemmodel = Goo::Canvas::EllipseModel->new ($parent, $center_x, $center_y, $radius_x, $radius_y, ...)

•   $parent (Goo::Canvas::ItemModel)

•   $center_x (double)

•   $center_y (double)

•   $radius_x (double)

•   $radius_y (double)

•   ... (list)

PROPERTIES

'center-x' (double : default 0 : readable / writable)
    The x coordinate of the center of the ellipse

'center-y' (double : default 0 : readable / writable)
    The y coordinate of the center of the ellipse

'height' (double : default 0 : readable / writable)
    The height of the ellipse

'radius-x' (double : default 0 : readable / writable)
    The horizontal radius of the ellipse

'radius-y' (double : default 0 : readable / writable)
    The vertical radius of the ellipse

'width' (double : default 0 : readable / writable)
    The width of the ellipse

'x' (double : default 0 : readable / writable)
    The x coordinate of the left side of the ellipse

'y' (double : default 0 : readable / writable)
    The y coordinate of the top of the ellipse

SEE ALSO
Glib::Object, Goo::Canvas::ItemModelSimple

COPYRIGHT
Copyright (C) 2017 Gtk2-Perl Team